#ifndef News_H
#define News_H

#include <KSGScript.h>
#include <Animation.h>
#include <Thread.h>
#include <Klient.h>
#include <KSGNetwork.h>

using namespace Framework;
using namespace KSGScript;
using namespace Network;

class News : public Thread
{
private:
	KSGScriptObj *frame;
	HMODULE ksgsDll;
	Text *scriptName;
	Animation2D *laden;
	Bildschirm *screen;
	TextFeld *fehler;
	Schrift *schrift;
    KSGClient::NewsServerClient *client;

public:
	// Konstruktor
	News( Bildschirm *zB, Schrift *zS, KSGClient::NewsServerClient *client );
	// Destruktor
	~News();
	// nicht constant
	void rückruf( RCArray< KSGSVariable > *parameter, KSGSVariable **ret );
	void thread();
    // löscht das objekt wenn es nicht mehr gebraucht wird und beendet den Thread
    Thread *release() override;
};

#endif